
Foreman - Bug #1783

Default template set generates incorrect snippet names if snippet name uses underscore

07/26/2012 06:38 PM - David Swift

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: DB migrations   

Target version: 1.0.1   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If a snippet file is named '_http_proxy.erb', the name generated by the migration in the database will be 'proxy' instead of 'http_proxy'.

This can cause some really hard to track down errors if you use snippets.

Associated revisions

Revision 05c8a270 - 07/27/2012 03:01 AM - David Swift

fixes #1783 - Default template set  incorrect snippet names if snippet name uses underscore

Revision 9ef769ea - 07/27/2012 03:03 AM - David Swift

fixes #1783 - Default template set  incorrect snippet names if snippet name uses underscore

History

#1 - 07/26/2012 07:15 PM - David Swift

- Assignee changed from David Swift to Ohad Levy

Fixed with https://github.com/theforeman/foreman/pull/117

#2 - 07/27/2012 03:02 AM - Ohad Levy

- Target version set to 1.1

#3 - 07/27/2012 05:35 AM - David Swift

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 9ef769ea78052a26c4a8fbfa6cc0a00b3e48c8cf.

#4 - 08/09/2012 09:53 AM - Ohad Levy

- Target version changed from 1.1 to 1.0.1
